Bug 77056 - Pasting special with subtract operation not working if target cell is empty.
Summary: Pasting special with subtract operation not working if target cell is empty.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.3.2 rc
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-04 14:49 UTC by Nikos
Modified: 2014-05-24 14:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikos 2014-04-04 14:49:40 UTC
When trying to paste special numbers into an empty cell by using the paste special dialog with Selection Numbers Operations Substract, the number is pasted without changing its sign (is is not substructed from zero).
Comment 1 m.a.riosv 2014-04-04 23:56:39 UTC
Hi Nikos, thanks for reporting.

Reproducible
Win7x64Ultimate
Version: 4.2.0.4 Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71
Versión: 4.2.3.2 Id. de compilación: 7c5c769e412afd32da4d946d2cb0c8b0674e95e0
Version: 4.3.0.0.alpha0+ Build ID: 2aaf9a5c9a06b770598c84b427c5099bf127d856
   TinderBox: Win-x86@39, Branch:master, Time: 2014-03-31_23:59:45

Last working:
Version: 4.1.6.0.0+ Build ID: 0b772a163b2536fc55aa3b4de925119e33af769
Comment 2 Nikos 2014-05-06 14:40:13 UTC
Persists, Version: 4.2.4.2 Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f
Comment 3 Commit Notification 2014-05-10 02:20:34 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b44f8185398ff6835a71fe237089746fca7f999d

fdo#77056: Modify existing test to cover the reported scenario.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-05-10 02:20:47 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=83a88b942134314e86ac612d0ef70a8e4919e4af

fdo#77056: Treat empty cells as if they have a value of 0.0.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Kohei Yoshida 2014-05-10 02:21:54 UTC
4.2 backport: https://gerrit.libreoffice.org/9298
Comment 6 Commit Notification 2014-05-10 07:38:03 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b9f4a686c5f397db3bd996acf53e0ad2b5d9ded&h=libreoffice-4-2

fdo#77056: Treat empty cells as if they have a value of 0.0.


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Kohei Yoshida 2014-05-10 12:25:28 UTC
Fixed in 4.2.
Comment 8 m.a.riosv 2014-05-24 14:40:50 UTC
Thanks Kohei,
tested:
Version: 4.2.5.0.0+ Build ID: f3ca9cc78e77dda656b5c39be928fdbb7f8babe8
TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-05-23_03:10:34
Versión: 4.3.0.0.beta1 Id. compilación: 2e39c7e59c8fc8b16a54c3d981dceef27fb0c07f
Version: 4.4.0.0.alpha0+ Build ID: e76dc5b422084f68cc4b27eea4cdbef3d3e7a1a9
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-23_13:15:55